Bug 241901 - $GENERATE within zone files not recognized by system-config-bind
Summary: $GENERATE within zone files not recognized by system-config-bind
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-bind   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jaroslav Reznik
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 15:35 UTC by JohnEspo
Modified: 2008-07-29 10:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 10:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description JohnEspo 2007-05-31 15:35:17 UTC
Description of problem:
If $GENERATE is used manually within zone file, system-config-bind will not
recognize it.

Version-Release number of selected component (if applicable):


How reproducible:
Manually use $GENERATE for a list of A or PTR records within zone file(s).
Restart bind, etc.  Call up system-config-bind, and no information related to
that is $GENERATE is need.

# host <an A record created by $GENERATE statement>

and the `host` will work.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 JohnEspo 2007-05-31 15:39:33 UTC
Typo: (should read)  "and no information related to that $GENERATE statement is
seen."


Comment 3 RHEL Product and Program Management 2008-07-28 11:32:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Jaroslav Reznik 2008-07-29 10:33:52 UTC
We are very sorry but this feature is not supported in current version of
s-c-bind and is not planned for inclusion for RHEL 5 update. Opened upstream
ticket https://fedorahosted.org/system-config-bind/ticket/1.


Note You need to log in before you can comment on or make changes to this bug.